CONFIG_EP_BY_SPEED(9)

NAME
config_ep_by_speed - configures the given endpoint according to gadget speed.

SYNOPSIS

int config_ep_by_speed(struct usb_gadget * g, struct usb_function * f, struct usb_ep * _ep);

ARGUMENTS

g
    pointer to the gadget

f
    usb function

_ep
    the endpoint to configure

RETURN

error code, 0 on success

This function chooses the right descriptors for a given endpoint according to gadget speed and saves it in the endpoint desc field. If the endpoint already has a descriptor assigned to it - overwrites it with currently corresponding descriptor. The endpoint maxpacket field is updated according to the chosen descriptor.

NOTE

the supplied function should hold all the descriptors for supported speeds

AUTHOR

David Brownell <dbrownell@users.sourceforge.net>
    Author.

COPYRIGHT